Bug 249930 - No C3/C4 sleep and high power consumption on thinkpad t43 with 2.6.22.1-27
No C3/C4 sleep and high power consumption on thinkpad t43 with 2.6.22.1-27
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 01:26 EDT by Leon Xu
Modified: 2008-01-10 12:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 12:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg info (24.32 KB, text/plain)
2007-07-28 01:26 EDT, Leon Xu
no flags Details

  None (edit)
Description Leon Xu 2007-07-28 01:26:11 EDT
Description of problem:

CPU cannot enter C3/C4 sleep with kernel 2.6.22-1.27 and 2.6.22-1.33, and higher
battery power consumption reported by PowerTop: 2.6.22-1.33 at 18.1 watts vs.
2.6.21-1.3228 at 13.5w. Kernel 2.6.21-1.3228 has no this issue, and it run with
high percent C4 sleep and lower power consumption.

PowerTop output with kernel 2.6.22-1.33:

     PowerTOP version 1.7       (C) 2007 Intel Corporation

Cn          Avg residency (2s)          P-states (frequencies)
C0 (cpu running)        ( 3.9%)
C1                0.0ms ( 0.0%)
C2                8.5ms (96.1%)
C3                0.0ms ( 0.0%)
C4                0.0ms ( 0.0%)

Wakeups-from-idle per second : 113.0
Power usage (ACPI estimate): 18.1W (2.2 hours) 

Top causes for wakeups:
  53.3% ( 60.5)       <interrupt> : yenta, uhci_hcd:usb1, eth0, radeon@pci:0000:
   8.8% ( 10.0)     scim-launcher : schedule_timeout (process_timeout) 
   4.4% (  5.0)               tpb : do_nanosleep (hrtimer_wakeup)
   4.4% (  5.0)    gnome-terminal : schedule_timeout (process_timeout)
   4.0% (  4.5)              Xorg : do_setitimer (it_real_fn)
   3.5% (  4.0)       <interrupt> : libata 


Version-Release number of selected component (if applicable):
2.6.22-1.27 and later

How reproducible:
Thinkpad T43 run kernel 2.6.22-1.27 or later (powered by battery), check power
consumption with PowerTop.

Steps to Reproduce:
1. Update to kernel 2.6.22-1.27 or newer, and reboot to run the kernel
2. Turn off Wi-Fi, unplug any usb devices, unplug AC Adapter and run the laptop
powered by battery.
3. 
  
Actual results:
Battery (6 cells, 45 Wh) last time shorten about 50 minutes (3 hours to 2.2 hours)

Expected results:


Additional info:
Comment 1 Leon Xu 2007-07-28 01:26:12 EDT
Created attachment 160155 [details]
dmesg info
Comment 2 Christopher Brown 2007-09-21 08:14:14 EDT
Hello Leon,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Christopher Brown 2008-01-10 12:17:33 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.